# Command: testsuite::ticket-336-mpi

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    testsuite::ticket-336-mpi - Check that vp-specific RNGs generate proper random numbers

Synopsis:

    (ticket-336-mpi) run -> NEST exits if test fails

Description:

      This test ensures that GetVpRNG, when called on a node with proxies, generates
      the same random number is generated independent of the number of MPI
      processes.

Remarks:

    In response to the changes of GetStatus return values (cf #549),
      this test now only checks that the first 10 RNs from its VP-RNG are
      identical independent of the number of MPI processes.

      See also:
      regressiontests/ticket-336-serial.sli

Author:

    Hans Ekkehard Plesser, 2010-09-29, 2012-02-16, 2012-02-27, 2012-05-22

Source:

    /opt/conda/conda-bld/nest_1510213973486/work/nest-2.14.0/testsuite/mpitests/ticket-336-mpi.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative